## Wayland compositor specific support Wayland compositor specific support — Wayland compositor specific APIs |

## Synopsis

    void                clutter_wayland_set_compositor_display
                                                            (struct wl_display *display);

## Description

Clutter provides some Wayland specific APIs to aid in writing Clutter based compositors.

The Clutter Wayland compositor API is available since Clutter 1.8

## Details

### clutter_wayland_set_compositor_display ()

    void                clutter_wayland_set_compositor_display
                                                            (struct wl_display *display);

This informs Clutter of your compositor side Wayland display object. This must be called before calling `clutter_init()`.

`display` : | A compositor side struct wl_display pointer

Since 1.8

Stability Level: Unstable